Bug 1403238 - Templates Smart Proxy API does not pass Hostgroup provisioning
Summary: Templates Smart Proxy API does not pass Hostgroup provisioning
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule
Version: 6.2.2
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: Lukas Zapletal
QA Contact:
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1387236
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-09 13:27 UTC by Lukas Zapletal
Modified: 2019-04-01 20:27 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1387236
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 17045 None None None 2016-12-09 13:27:39 UTC
Foreman Issue Tracker 20700 None None None 2017-08-23 11:07:29 UTC

Comment 2 Bryan Kearney 2016-12-09 15:07:09 UTC
Upstream bug assigned to lzap@redhat.com

Comment 3 Bryan Kearney 2016-12-09 15:07:12 UTC
Upstream bug component is Uncategorized

Comment 4 Bryan Kearney 2016-12-09 15:07:14 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17045 has been resolved.

Comment 5 Bryan Kearney 2016-12-16 19:07:18 UTC
Upstream bug component is Capsule

Comment 6 Bryan Kearney 2016-12-16 19:07:21 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17045 has been resolved.

Comment 7 Bryan Kearney 2016-12-16 19:08:51 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17045 has been resolved.

Comment 8 Bryan Kearney 2016-12-16 19:15:06 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17045 has been resolved.

Comment 9 Lukas Zapletal 2017-08-23 11:07:30 UTC
Failed QA, works without spaces in template/hostgroup name.

QA NOTES: To verify create a simple kickstart without any parameters (can be dummy one) and associate it with HG combination, then:

curl -3 -H "Accept:application/json" -H "Content-Type: application/json" -d '{}' -k -X GET http://zzzap.lab.eng.brq.redhat.com:8000/unattended/template/Generic%20Kickstart/CentOS%207.0

Comment 11 Lukas Zapletal 2017-12-18 11:34:21 UTC
Yeah I don't understand the guy from comment 9 :-)

Comment 12 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.